Replace a quote phase
Replaces the items and start of one of the quote’s draft phases. Send the complete item set; items you omit are removed. Phases publish when the quote is sent and cannot change after that.
curl --request PUT \
--url https://api.alguna.io/quotes/{id}/phases/{pid} \
--header 'Alguna-Version: <alguna-version>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"bundle_id": "bun_abc123",
"items": [
{
"price": {
"billing_direction": "arrears",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"charge_on_contract_start": false,
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
],
"metric_bindings": [
{
"alias": "api_calls",
"metric_id": "<string>"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"matrix_pricing_model": {
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"values": [
"<string>"
]
}
],
"root": {
"fallback": "<unknown>",
"leaf": {
"cell_key": "<string>",
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"label": "<string>",
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"splits": [
{
"branches": [
{
"child": "<unknown>",
"value": "<string>"
}
],
"dimension_key": "<string>",
"wildcard": "<unknown>"
}
]
},
"line_item_template": "<string>"
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"metric_ids": [
"<string>"
],
"minimum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"recurring_instalment_interval_count": 1,
"recurring_instalment_interval_unit": "month",
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"price": {
"billing_direction": "arrears",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"charge_on_contract_start": false,
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
],
"metric_bindings": [
{
"alias": "api_calls",
"metric_id": "<string>"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"matrix_pricing_model": {
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"values": [
"<string>"
]
}
],
"root": {
"fallback": "<unknown>",
"leaf": {
"cell_key": "<string>",
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"label": "<string>",
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"splits": [
{
"branches": [
{
"child": "<unknown>",
"value": "<string>"
}
],
"dimension_key": "<string>",
"wildcard": "<unknown>"
}
]
},
"line_item_template": "<string>"
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"metric_ids": [
"<string>"
],
"minimum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"recurring_instalment_interval_count": 1,
"recurring_instalment_interval_unit": "month",
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"description": "Year 2 step-up",
"start_date": "2027-01-01",
"start_month_offset": 12
}
'import requests
url = "https://api.alguna.io/quotes/{id}/phases/{pid}"
payload = {
"items": [
{
"bundle_id": "bun_abc123",
"items": [
{
"price": {
"billing_direction": "arrears",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"charge_on_contract_start": False,
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
],
"metric_bindings": [
{
"alias": "api_calls",
"metric_id": "<string>"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"matrix_pricing_model": {
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"values": ["<string>"]
}
],
"root": {
"fallback": "<unknown>",
"leaf": {
"cell_key": "<string>",
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"label": "<string>",
"tiered_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"unit_pricing_model": { "price_per_unit": "0.05" },
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"splits": [
{
"branches": [
{
"child": "<unknown>",
"value": "<string>"
}
],
"dimension_key": "<string>",
"wildcard": "<unknown>"
}
]
},
"line_item_template": "<string>"
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"metric_ids": ["<string>"],
"minimum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"recurring_instalment_interval_count": 1,
"recurring_instalment_interval_unit": "month",
"tiered_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": { "price_per_unit": "0.05" },
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"price": {
"billing_direction": "arrears",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"charge_on_contract_start": False,
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
],
"metric_bindings": [
{
"alias": "api_calls",
"metric_id": "<string>"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"matrix_pricing_model": {
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"values": ["<string>"]
}
],
"root": {
"fallback": "<unknown>",
"leaf": {
"cell_key": "<string>",
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"label": "<string>",
"tiered_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"unit_pricing_model": { "price_per_unit": "0.05" },
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"splits": [
{
"branches": [
{
"child": "<unknown>",
"value": "<string>"
}
],
"dimension_key": "<string>",
"wildcard": "<unknown>"
}
]
},
"line_item_template": "<string>"
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"metric_ids": ["<string>"],
"minimum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"recurring_instalment_interval_count": 1,
"recurring_instalment_interval_unit": "month",
"tiered_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": { "price_per_unit": "0.05" },
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"description": "Year 2 step-up",
"start_date": "2027-01-01",
"start_month_offset": 12
}
headers = {
"Alguna-Version": "<alguna-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Alguna-Version': '<alguna-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [
{
bundle_id: 'bun_abc123',
items: [
{
price: {
billing_direction: 'arrears',
fee_type: 'fixed',
type: 'fixed',
billing_frequency: 'recurring',
billing_interval: 'monthly',
billing_interval_count: 3,
billing_interval_unit: 'month',
charge_on_contract_start: false,
discount: {
amount: '10',
duration_type: 'fixed',
type: 'percentage',
duration_unit: 'months',
duration_value: 6
},
display_order: 1,
expression_pricing_model: {
charges: [
{
billing_direction: 'arrears',
description: 'API usage charge',
quantity_expression: 'usage.api_calls',
unit_price_expression: '0.01'
}
],
metric_bindings: [{alias: 'api_calls', metric_id: '<string>'}]
},
fixed_pricing_model: {price_per_unit: '500.00', units: 1},
graduated_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
graduated_tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
matrix_pricing_model: {
dimensions: [{key: '<string>', label: '<string>', values: ['<string>']}],
root: {
fallback: '<unknown>',
leaf: {
cell_key: '<string>',
fixed_pricing_model: {price_per_unit: '500.00', units: 1},
graduated_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
graduated_tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
label: '<string>',
tiered_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
unit_pricing_model: {price_per_unit: '0.05'},
volume_percentage_pricing_model: {percentage: '2.0', price_per_unit: '0.05', fixed_fee: '5.00'}
},
splits: [
{
branches: [{child: '<unknown>', value: '<string>'}],
dimension_key: '<string>',
wildcard: '<unknown>'
}
]
},
line_item_template: '<string>'
},
maximum_spend: {amount: '500.00', period: 'monthly', billing_direction: 'arrears'},
metric_ids: ['<string>'],
minimum_spend: {amount: '500.00', period: 'monthly', billing_direction: 'arrears'},
prepaid_fixed_tiered_pricing_model: {
overages_charge_interval: 'monthly',
prepaid_units: 50000,
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
]
},
prepaid_tiered_pricing_model: {
prepaid_units: 50000,
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
]
},
recurring_instalment_interval_count: 1,
recurring_instalment_interval_unit: 'month',
tiered_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
trial_period_days: 30,
unit_pricing_model: {price_per_unit: '0.05'},
volume_percentage_pricing_model: {percentage: '2.0', price_per_unit: '0.05', fixed_fee: '5.00'}
},
product_id: 'prod_abc123'
}
],
price: {
billing_direction: 'arrears',
fee_type: 'fixed',
type: 'fixed',
billing_frequency: 'recurring',
billing_interval: 'monthly',
billing_interval_count: 3,
billing_interval_unit: 'month',
charge_on_contract_start: false,
discount: {
amount: '10',
duration_type: 'fixed',
type: 'percentage',
duration_unit: 'months',
duration_value: 6
},
display_order: 1,
expression_pricing_model: {
charges: [
{
billing_direction: 'arrears',
description: 'API usage charge',
quantity_expression: 'usage.api_calls',
unit_price_expression: '0.01'
}
],
metric_bindings: [{alias: 'api_calls', metric_id: '<string>'}]
},
fixed_pricing_model: {price_per_unit: '500.00', units: 1},
graduated_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
graduated_tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
matrix_pricing_model: {
dimensions: [{key: '<string>', label: '<string>', values: ['<string>']}],
root: {
fallback: '<unknown>',
leaf: {
cell_key: '<string>',
fixed_pricing_model: {price_per_unit: '500.00', units: 1},
graduated_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
graduated_tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
label: '<string>',
tiered_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
unit_pricing_model: {price_per_unit: '0.05'},
volume_percentage_pricing_model: {percentage: '2.0', price_per_unit: '0.05', fixed_fee: '5.00'}
},
splits: [
{
branches: [{child: '<unknown>', value: '<string>'}],
dimension_key: '<string>',
wildcard: '<unknown>'
}
]
},
line_item_template: '<string>'
},
maximum_spend: {amount: '500.00', period: 'monthly', billing_direction: 'arrears'},
metric_ids: ['<string>'],
minimum_spend: {amount: '500.00', period: 'monthly', billing_direction: 'arrears'},
prepaid_fixed_tiered_pricing_model: {
overages_charge_interval: 'monthly',
prepaid_units: 50000,
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
]
},
prepaid_tiered_pricing_model: {
prepaid_units: 50000,
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
]
},
recurring_instalment_interval_count: 1,
recurring_instalment_interval_unit: 'month',
tiered_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
trial_period_days: 30,
unit_pricing_model: {price_per_unit: '0.05'},
volume_percentage_pricing_model: {percentage: '2.0', price_per_unit: '0.05', fixed_fee: '5.00'}
},
product_id: 'prod_abc123'
}
],
description: 'Year 2 step-up',
start_date: '2027-01-01',
start_month_offset: 12
})
};
fetch('https://api.alguna.io/quotes/{id}/phases/{pid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"acv": "6000.00",
"arr": "6000.00",
"currency": "USD",
"id": "subv_abc123",
"mrr": "500.00",
"quote_id": "qt_abc123",
"sequence": 1,
"description": "Year 2 step-up",
"end_date": "2027-10-01T00:00:00Z",
"plan_id": "pln_abc123",
"start_date": "2026-10-01T00:00:00Z",
"start_month_offset": 12,
"tcv": "6000.00"
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}Authorizations
API key authentication. Pass your API key as a Bearer token.
Headers
2026-04-01 A unique string used to ensure the request is processed exactly once. If you retry a request with the same idempotency key within 24 hours, the original response is returned without re-executing the operation.
255"ik_a1b2c3d4e5f6"
Path Parameters
Unique identifier for the quote
Unique identifier for the phase
Body
Complete set of priced items for this phase.
200Show child attributes
Show child attributes
Human-readable note on the phase
"Year 2 step-up"
When the phase starts (YYYY-MM-DD). Alternative to start_month_offset.
"2027-01-01"
Months after the billing start when the phase begins; resolved into a date at signature. Alternative to start_date.
0 <= x <= 120012
Response
Success
Annual contract value
"6000.00"
Annual recurring revenue
"6000.00"
ISO 4217 currency code
"USD"
Phase ID. This is the subscription version the phase becomes: after signature the same row is readable at /subscriptions/{subscription_id}/versions/{id}.
"subv_abc123"
Monthly recurring revenue
"500.00"
Quote ID
"qt_abc123"
Position in the quote's schedule, from 1. Positional, not an identifier: deleting a phase renumbers the rest, so address a phase by id.
1
Note on the phase
"Year 2 step-up"
When the phase ends
"2027-10-01T00:00:00Z"
Plan the phase was seeded from
"pln_abc123"
When the phase starts; null for an undated ramp phase until signature
"2026-10-01T00:00:00Z"
Months after the billing start when an undated phase begins
12
Total contract value of the phase over its term; null when no term is knowable
"6000.00"
curl --request PUT \
--url https://api.alguna.io/quotes/{id}/phases/{pid} \
--header 'Alguna-Version: <alguna-version>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"bundle_id": "bun_abc123",
"items": [
{
"price": {
"billing_direction": "arrears",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"charge_on_contract_start": false,
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
],
"metric_bindings": [
{
"alias": "api_calls",
"metric_id": "<string>"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"matrix_pricing_model": {
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"values": [
"<string>"
]
}
],
"root": {
"fallback": "<unknown>",
"leaf": {
"cell_key": "<string>",
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"label": "<string>",
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"splits": [
{
"branches": [
{
"child": "<unknown>",
"value": "<string>"
}
],
"dimension_key": "<string>",
"wildcard": "<unknown>"
}
]
},
"line_item_template": "<string>"
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"metric_ids": [
"<string>"
],
"minimum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"recurring_instalment_interval_count": 1,
"recurring_instalment_interval_unit": "month",
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"price": {
"billing_direction": "arrears",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"charge_on_contract_start": false,
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
],
"metric_bindings": [
{
"alias": "api_calls",
"metric_id": "<string>"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"matrix_pricing_model": {
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"values": [
"<string>"
]
}
],
"root": {
"fallback": "<unknown>",
"leaf": {
"cell_key": "<string>",
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"label": "<string>",
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"splits": [
{
"branches": [
{
"child": "<unknown>",
"value": "<string>"
}
],
"dimension_key": "<string>",
"wildcard": "<unknown>"
}
]
},
"line_item_template": "<string>"
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"metric_ids": [
"<string>"
],
"minimum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"recurring_instalment_interval_count": 1,
"recurring_instalment_interval_unit": "month",
"tiered_percentage_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
]
},
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": {
"price_per_unit": "0.05"
},
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"description": "Year 2 step-up",
"start_date": "2027-01-01",
"start_month_offset": 12
}
'import requests
url = "https://api.alguna.io/quotes/{id}/phases/{pid}"
payload = {
"items": [
{
"bundle_id": "bun_abc123",
"items": [
{
"price": {
"billing_direction": "arrears",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"charge_on_contract_start": False,
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
],
"metric_bindings": [
{
"alias": "api_calls",
"metric_id": "<string>"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"matrix_pricing_model": {
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"values": ["<string>"]
}
],
"root": {
"fallback": "<unknown>",
"leaf": {
"cell_key": "<string>",
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"label": "<string>",
"tiered_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"unit_pricing_model": { "price_per_unit": "0.05" },
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"splits": [
{
"branches": [
{
"child": "<unknown>",
"value": "<string>"
}
],
"dimension_key": "<string>",
"wildcard": "<unknown>"
}
]
},
"line_item_template": "<string>"
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"metric_ids": ["<string>"],
"minimum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"recurring_instalment_interval_count": 1,
"recurring_instalment_interval_unit": "month",
"tiered_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": { "price_per_unit": "0.05" },
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"price": {
"billing_direction": "arrears",
"fee_type": "fixed",
"type": "fixed",
"billing_frequency": "recurring",
"billing_interval": "monthly",
"billing_interval_count": 3,
"billing_interval_unit": "month",
"charge_on_contract_start": False,
"discount": {
"amount": "10",
"duration_type": "fixed",
"type": "percentage",
"duration_unit": "months",
"duration_value": 6
},
"display_order": 1,
"expression_pricing_model": {
"charges": [
{
"billing_direction": "arrears",
"description": "API usage charge",
"quantity_expression": "usage.api_calls",
"unit_price_expression": "0.01"
}
],
"metric_bindings": [
{
"alias": "api_calls",
"metric_id": "<string>"
}
]
},
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"matrix_pricing_model": {
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"values": ["<string>"]
}
],
"root": {
"fallback": "<unknown>",
"leaf": {
"cell_key": "<string>",
"fixed_pricing_model": {
"price_per_unit": "500.00",
"units": 1
},
"graduated_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"graduated_tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"label": "<string>",
"tiered_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"unit_pricing_model": { "price_per_unit": "0.05" },
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"splits": [
{
"branches": [
{
"child": "<unknown>",
"value": "<string>"
}
],
"dimension_key": "<string>",
"wildcard": "<unknown>"
}
]
},
"line_item_template": "<string>"
},
"maximum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"metric_ids": ["<string>"],
"minimum_spend": {
"amount": "500.00",
"period": "monthly",
"billing_direction": "arrears"
},
"prepaid_fixed_tiered_pricing_model": {
"overages_charge_interval": "monthly",
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"prepaid_tiered_pricing_model": {
"prepaid_units": 50000,
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
]
},
"recurring_instalment_interval_count": 1,
"recurring_instalment_interval_unit": "month",
"tiered_percentage_pricing_model": { "tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"percentage": "2.5"
}
] },
"tiered_pricing_model": {
"tiers": [
{
"min_units": 0,
"fixed_fee": "10.00",
"max_units": 10000,
"price_per_unit": "0.02",
"unit_price": "5.00"
}
],
"units": 10
},
"trial_period_days": 30,
"unit_pricing_model": { "price_per_unit": "0.05" },
"volume_percentage_pricing_model": {
"percentage": "2.0",
"price_per_unit": "0.05",
"fixed_fee": "5.00"
}
},
"product_id": "prod_abc123"
}
],
"description": "Year 2 step-up",
"start_date": "2027-01-01",
"start_month_offset": 12
}
headers = {
"Alguna-Version": "<alguna-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Alguna-Version': '<alguna-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [
{
bundle_id: 'bun_abc123',
items: [
{
price: {
billing_direction: 'arrears',
fee_type: 'fixed',
type: 'fixed',
billing_frequency: 'recurring',
billing_interval: 'monthly',
billing_interval_count: 3,
billing_interval_unit: 'month',
charge_on_contract_start: false,
discount: {
amount: '10',
duration_type: 'fixed',
type: 'percentage',
duration_unit: 'months',
duration_value: 6
},
display_order: 1,
expression_pricing_model: {
charges: [
{
billing_direction: 'arrears',
description: 'API usage charge',
quantity_expression: 'usage.api_calls',
unit_price_expression: '0.01'
}
],
metric_bindings: [{alias: 'api_calls', metric_id: '<string>'}]
},
fixed_pricing_model: {price_per_unit: '500.00', units: 1},
graduated_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
graduated_tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
matrix_pricing_model: {
dimensions: [{key: '<string>', label: '<string>', values: ['<string>']}],
root: {
fallback: '<unknown>',
leaf: {
cell_key: '<string>',
fixed_pricing_model: {price_per_unit: '500.00', units: 1},
graduated_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
graduated_tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
label: '<string>',
tiered_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
unit_pricing_model: {price_per_unit: '0.05'},
volume_percentage_pricing_model: {percentage: '2.0', price_per_unit: '0.05', fixed_fee: '5.00'}
},
splits: [
{
branches: [{child: '<unknown>', value: '<string>'}],
dimension_key: '<string>',
wildcard: '<unknown>'
}
]
},
line_item_template: '<string>'
},
maximum_spend: {amount: '500.00', period: 'monthly', billing_direction: 'arrears'},
metric_ids: ['<string>'],
minimum_spend: {amount: '500.00', period: 'monthly', billing_direction: 'arrears'},
prepaid_fixed_tiered_pricing_model: {
overages_charge_interval: 'monthly',
prepaid_units: 50000,
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
]
},
prepaid_tiered_pricing_model: {
prepaid_units: 50000,
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
]
},
recurring_instalment_interval_count: 1,
recurring_instalment_interval_unit: 'month',
tiered_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
trial_period_days: 30,
unit_pricing_model: {price_per_unit: '0.05'},
volume_percentage_pricing_model: {percentage: '2.0', price_per_unit: '0.05', fixed_fee: '5.00'}
},
product_id: 'prod_abc123'
}
],
price: {
billing_direction: 'arrears',
fee_type: 'fixed',
type: 'fixed',
billing_frequency: 'recurring',
billing_interval: 'monthly',
billing_interval_count: 3,
billing_interval_unit: 'month',
charge_on_contract_start: false,
discount: {
amount: '10',
duration_type: 'fixed',
type: 'percentage',
duration_unit: 'months',
duration_value: 6
},
display_order: 1,
expression_pricing_model: {
charges: [
{
billing_direction: 'arrears',
description: 'API usage charge',
quantity_expression: 'usage.api_calls',
unit_price_expression: '0.01'
}
],
metric_bindings: [{alias: 'api_calls', metric_id: '<string>'}]
},
fixed_pricing_model: {price_per_unit: '500.00', units: 1},
graduated_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
graduated_tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
matrix_pricing_model: {
dimensions: [{key: '<string>', label: '<string>', values: ['<string>']}],
root: {
fallback: '<unknown>',
leaf: {
cell_key: '<string>',
fixed_pricing_model: {price_per_unit: '500.00', units: 1},
graduated_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
graduated_tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
label: '<string>',
tiered_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
unit_pricing_model: {price_per_unit: '0.05'},
volume_percentage_pricing_model: {percentage: '2.0', price_per_unit: '0.05', fixed_fee: '5.00'}
},
splits: [
{
branches: [{child: '<unknown>', value: '<string>'}],
dimension_key: '<string>',
wildcard: '<unknown>'
}
]
},
line_item_template: '<string>'
},
maximum_spend: {amount: '500.00', period: 'monthly', billing_direction: 'arrears'},
metric_ids: ['<string>'],
minimum_spend: {amount: '500.00', period: 'monthly', billing_direction: 'arrears'},
prepaid_fixed_tiered_pricing_model: {
overages_charge_interval: 'monthly',
prepaid_units: 50000,
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
]
},
prepaid_tiered_pricing_model: {
prepaid_units: 50000,
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
]
},
recurring_instalment_interval_count: 1,
recurring_instalment_interval_unit: 'month',
tiered_percentage_pricing_model: {
tiers: [{min_units: 0, fixed_fee: '10.00', max_units: 10000, percentage: '2.5'}]
},
tiered_pricing_model: {
tiers: [
{
min_units: 0,
fixed_fee: '10.00',
max_units: 10000,
price_per_unit: '0.02',
unit_price: '5.00'
}
],
units: 10
},
trial_period_days: 30,
unit_pricing_model: {price_per_unit: '0.05'},
volume_percentage_pricing_model: {percentage: '2.0', price_per_unit: '0.05', fixed_fee: '5.00'}
},
product_id: 'prod_abc123'
}
],
description: 'Year 2 step-up',
start_date: '2027-01-01',
start_month_offset: 12
})
};
fetch('https://api.alguna.io/quotes/{id}/phases/{pid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"acv": "6000.00",
"arr": "6000.00",
"currency": "USD",
"id": "subv_abc123",
"mrr": "500.00",
"quote_id": "qt_abc123",
"sequence": 1,
"description": "Year 2 step-up",
"end_date": "2027-10-01T00:00:00Z",
"plan_id": "pln_abc123",
"start_date": "2026-10-01T00:00:00Z",
"start_month_offset": 12,
"tcv": "6000.00"
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}{
"detail": "<string>",
"status": 123
}